Name:		libgsf
Version: 	1.14.43
Release:	5
Summary: 	GNOME Structured File library
License: 	LGPLv2
URL: 		https://gitlab.gnome.org/GNOME/libgsf
Source: 	https://download.gnome.org/sources/%{name}/1.14/%{name}-%{version}.tar.xz

BuildRequires: 	bzip2-devel chrpath gettext glib2-devel gobject-introspection-devel
BuildRequires: 	libxml2-devel intltool gdk-pixbuf2-devel

%description
The libgsf library is an extensible I/O abstraction library for dealing
with structured file formats.

%package devel
Summary: 	The devel for %{name}
Requires: 	libgsf = %{version}-%{release}, glib2-devel, libxml2-devel pkgconfig

%description devel
Support files necessary to compile applications with libgsf

%package help
Summary:	The man for %{name}
Requires:       libgsf = %{version}-%{release}

%description help
This sub-package provides the man for %{name}

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --disable-gtk-doc --enable-introspection=yes

make %{?_smp_mflags} V=1

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%make_install

%find_lang %{name}

chrpath --delete %{buildroot}%{_bindir}/gsf*

%delete_la_and_a

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f libgsf.lang
%doc AUTHORS COPYING COPYING.LIB README
%{_libdir}/libgsf-1.so.*
%{_libdir}/girepository-1.0/Gsf-1.typelib
%{_bindir}/gsf-office-thumbnailer
%{_datadir}/thumbnailers/gsf-office.thumbnailer

%files devel
%{_bindir}/gsf
%{_bindir}/gsf-vba-dump
%{_libdir}/libgsf-1.so
%{_libdir}/pkgconfig/libgsf-1.pc
%{_includedir}/libgsf-1/gsf
%{_datadir}/gtk-doc/html/gsf
%{_datadir}/gir-1.0/Gsf-1.gir

%files help
%{_mandir}/man1/gsf-office-thumbnailer.1.gz
%{_mandir}/man1/gsf.1.gz
%{_mandir}/man1/gsf-vba-dump.1.gz

%changelog
* Wed Dec 9 2020 wangchen<wangchen137@huawei.com> - 1.14.43-5
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:correct invalid URL and Source

* Wed Nov 13 2019 chengquan<chengquan3@huawei.com> - 1.14.43-4
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:fix replicate files in devel package

* Mon Sep 2 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.14.43-3
- Package init
